#ifndef TALL_GRASS_HPP_
#define TALL_GRASS_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>

class TallGrass : public SpriteBlock
{
public:
    TallGrass(std::string name);

    virtual bool canManuallyDig() override;
    virtual bool isIntersectedBy(World &world, glm::ivec3 pos, const BoundingBox<wfixed> &box) override;
    virtual void getHarvestedStacks(LocalWorld &world, glm::ivec3 pos, std::vector<ItemStack> &stacks) override;
    virtual void onNeighborUpdated(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual bool canSweepAway() override;
};

#endif